# 🧠 GPT Brain
[![python](https://img.shields.io/badge/python-3.11-blue)](https://www.python.org/downloads/release/python-3112/)

> **[中文说明](./README_CN.md)** | **[English](./README.md)**

*⭐️ Like this repo? please consider a star!*

*💡This project is inspired by youtuber [All About AI](https://www.youtube.com/@AllAboutAI)'s video on [Second Brain](https://www.youtube.com/watch?v=1k2JpJRIoAA&ab_channel=AllAboutAI). Please consider support him!*

*💡As I am not a professional programmer and am fairly new to Python, this project may contain bugs. If you encounter any issues, please suggest them in the [Issues section](https://github.com/sean1832/GPT-Brain/issues).*

### Feature
- [x] Use [OpenAI GPT-3](https://platform.openai.com/docs/models/gpt-3) to generate response.
- [x] Use [OpenAI embedding](https://platform.openai.com/docs/guides/embeddings/what-are-embeddings) for semetic comparison of question and note content for enhanced searching.
- [x] Configurable prompts.
- [x] Customizable personal background information for more accurate answers.
- [x] Integration with [Obsidian note](https://obsidian.md/) local directory for easy note content updates.
- [x] Note content preview & content modification.
- [x] Section parsing using delimiters for targeted updates.
- [x] [Obsidian YAML frontmatter](https://help.obsidian.md/Editing+and+formatting/Metadata) filtering.
- [x] OpenAI API key management.
- [x] OpenAI Language model selection for different needs.
- [x] Basic & Advanced parameter sliders for OpenAI Language model configurations.

### Todo
- [x] ~~Batch script to update library.~~
- [x] ~~Versioning.~~
- [ ] Tooltips for parameters.
- [x] ~~Chinese support.~~
- [x] ~~Multilingual search support.~~
- [ ] Provide detail documentation for users.
- [ ] Automatic update for new version.
- [ ] Release for windows.

## Install
### 1. What you need
- Install **[python 3.11](https://www.python.org/downloads)** | [python installation tutorial (YouTube)](https://youtu.be/HBxCHonP6Ro?t=105)
- OpenAI **[API keys](https://platform.openai.com/account/api-keys)**
### 2. Set up the project for the first time
1. Run `setup.bat`
2. Enter your OpenAI API Key

### 3. Run
- Execute `run-webUI.bat`


## Demo
### Main Page
![screenshot1](https://cdn.discordapp.com/attachments/998217078915997746/1073881233387429978/image.png)
### Brain Memory
![screenshot2](https://cdn.discordapp.com/attachments/998217078915997746/1073885430270922822/image.png)
